#include <project.h>        //Specific to Cypress PSOC devices, only needed for CyDelay() function
#include <stdio.h>
#include "SEGGER_RTT.h"


char JS_RTT_UpBuffer[128];

#pragma pack(push, 1)
struct {
    int16_t x;
    int16_t y;
    int16_t z;
} xcelBuffer;
#pragma pack(pop)



int main(void) {
  
  SEGGER_RTT_ConfigUpBuffer(1, "JScope_I2I2I2", &JS_RTT_UpBuffer[0], sizeof(JS_RTT_UpBuffer), SEGGER_RTT_MODE_BLOCK_IF_FIFO_FULL);
  do {
    SEGGER_RTT_Write(1, &xcelBuffer, sizeof(xcelBuffer));
    xcelBuffer.x ++;
    xcelBuffer.y ++;
    xcelBuffer.z ++;    //let it overflow for testing
    CyDelay(10);        //use your own delay funciton, delay 10ms
  } while (1);
}

